.mode table

select
        subject,
        datetime(started, 'unixepoch', 'localtime') as started,
        lower(hex(prolific_pid)) as prolific_pid,
        last_visit_done
    from
        (select *
            from Subjects
            where prolific_pid notnull) natural join
        (select subject, min(started) as started
             from Sessions natural join
                (select session, v/1000 as started from TaskData
                    where k = 'time_started_posixms')
              group by subject) natural join
        (select subject, max(visit) as last_visit_done
            from Sessions
            where done
            group by subject)
     order by subject;

select visit, count(1) as n_done
    from Sessions
    where done and visit != 1
    group by visit
    order by visit;
